#ifndef MIDID_HPP
#define MIDID_HPP
#include <vector>

namespace MIDI {
static const unsigned int DMIDI_MESSTICK = 0x100;

enum {
	DMIDI_SYS = 0xf0,
	DMIDI_SYS_WAIT = 0xf0,
	DMIDI_SYS_BPM = 0xf1,
	DMIDI_SYS_ENDDATA = 0xff,
};

struct DMIDI_EVENT {
	unsigned int clock;
	unsigned char ch;
	unsigned char mes;
	unsigned char lsb;
	unsigned char msb;
};

struct DMIDI {
	unsigned int tpqn;
	std::vector<DMIDI_EVENT> events;
	
	DMIDI() {
		tpqn = 0;
	};
};

}

#endif
